<!-- =============================================================

     FAQ Question Topic Specialization Module 
     
     This topic specialization module defines elements
     for creating topics that represent a single FAQ
     question/answer pair within a larger set of FAQ questions.
     
     Copyright (c) 2007, 2010 W. Eliot Kimber
     
     This module may be used for any purpose under the Creative
     Commons "use with attribution" license.
     
     ============================================================= -->


<!-- ============================================================= -->
<!--                   ARCHITECTURE ENTITIES                       -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                   SPECIALIZATION OF DECLARED ELEMENTS         -->
<!-- ============================================================= -->

<!ENTITY % faq-question-info-types "%info-types;">


<!-- ============================================================= -->
<!--                   ELEMENT NAME ENTITIES                       -->
<!-- ============================================================= -->
 

<!ENTITY % faq-question       "faq-question"                             
>
<!ENTITY % faq-short-answer   "faq-short-answer" 
>
<!ENTITY % faq-answer-details "faq-answer-details" 
>
<!ENTITY % faq-question-statement "faq-question-statement"                   
>


<!-- ============================================================= -->
<!--                    DOMAINS ATTRIBUTE OVERRIDE                 -->
<!-- ============================================================= -->


<!ENTITY included-domains ""                                         >


<!-- ============================================================= -->
<!--                    ELEMENT DECLARATIONS                       -->
<!-- ============================================================= -->


<!--                    LONG NAME: FAQ question  -->
<!ENTITY % faq-question.content
 "
  ((%faq-question-statement;), 
   (%titlealts;)?,
   (%faq-short-answer;), 
   (%prolog;)?, 
   (%faq-answer-details;)?, 
   (%related-links;)?,
   (%faq-question-info-types;)* )                   
">
<!ENTITY % faq-question.attributes
'
             id         ID                               #REQUIRED
             conref     CDATA                            #IMPLIED
             %select-atts;
             %localization-atts;
             %arch-atts;
             outputclass 
                        CDATA                            #IMPLIED
             domains    CDATA                "&included-domains;"    
'>
<!ELEMENT faq-question %faq-question.content; >
<!ATTLIST faq-question %faq-question.attributes; > 

<!--                    LONG NAME: FAQ short answer               -->
<!ENTITY % faq-short-answer.content 
"
  (%title.cnt;)*                               
">
<!ENTITY % faq-short-answer.attributes
'  %univ-atts;
   outputclass 
      CDATA #IMPLIED    
'>
<!ELEMENT faq-short-answer %faq-short-answer.content; >
<!ATTLIST faq-short-answer %faq-short-answer.attributes; > 



<!--                    LONG NAME: FAQ answer details -->
<!ENTITY % faq-answer-details.content
"
  ((%body.cnt;)*, 
   (%section;|%example;)* 
  )     
">
<!ENTITY % faq-answer-details.attributes
'
             %id-atts;
             %localization-atts;
             outputclass 
                        CDATA                            #IMPLIED    
'>
<!ELEMENT faq-answer-details %faq-answer-details.content; >
<!ATTLIST faq-answer-details %faq-answer-details.attributes; > 
             
<!--                    LONG NAME: FAQ question statement -->

<!ENTITY % faq-question-statement.content
"
  (%title.cnt;)*                               
"> 
<!ENTITY % faq-question-statement.attributes
'
             %id-atts;
             %localization-atts;
             outputclass 
                        CDATA                            #IMPLIED    
'>
<!ELEMENT faq-question-statement %faq-question-statement.content; >
<!ATTLIST faq-question-statement %faq-question-statement.attributes; > 

<!-- ============================================================= -->
<!--                    SPECIALIZATION ATTRIBUTE DECLARATIONS      -->
<!-- ============================================================= -->


<!ATTLIST faq-question           %global-atts;  class CDATA "- topic/topic     concept/concept   faq-question/faq-question ">
<!ATTLIST faq-short-answer       %global-atts;  class CDATA "- topic/shortdesc concept/shortdesc faq-question/faq-short-answer ">
<!ATTLIST faq-answer-details     %global-atts;  class CDATA "- topic/body      concept/conbody   faq-question/faq-answer-details ">
<!ATTLIST faq-question-statement %global-atts;  class CDATA "- topic/title     concept/title     faq-question/faq-question-statement ">

<!-- End of faq-question -->